Up to top level
AO15   AO16   AO17   AO18   Backgrounds   Calibration   Conference   Data   Docs   EPICMOS   EPICpn   Feedback   Gallery   Misc   OM   Pending   PhD_Theses   Publications   RGS   RadMonitor   SAS_Hardware   SAS_WS   SASv16.0   SASv16.0_Installation   SASv16.1   SASv16.1_Installation   SASv17.0   SASv17.0_Installation   SASv18.0   SASv18.0_Installation   SciSim   Simulators_other   Suggestions   Trash   Visibility   XMM-bouncing   XMM-news   XRPS   XSA   esas   incoming  

Logged in as guest

Viewing SASv17.0_Installation/84966
Full headers

From: atripathi@aip.de
Subject: XMM installation issue
Compose reply
Download message
Move To:
1 replies: 1
0 followups:

Private message: yes  no

Notes:

Notification:


Date: Tue, 21 May 2019 15:42:56 +0200
From: atripathi@aip.de
To: xmmhelp@sciops.esa.int
Subject: XMM installation issue
Full_Name: AASHANA TRIPATHI
Submission from: (NULL) (193.147.152.102)


When I try to install SAS, it's giving me the following error:
./install.sh

Installing SAS 17.0.0 in /home/aashana/Documents/Master thesis Project/Data
reduction ...

Checking the list of tar.gz archives to install: The list is OK

Checking whether the tar.gz archives are present or not... 

xmmsas_20180620_1732-17.0.0-common-config.tar.gz: OK
xmmsas_20180620_1732-17.0.0-common-doc.tar.gz: OK
xmmsas_20180620_1732-17.0.0-Ubuntu16.04-64-bin.tar.gz: OK
xmmsas_20180620_1732-17.0.0-Ubuntu16.04-64-libextra.tar.gz: OK
xmmsas_20180620_1732-17.0.0-Ubuntu16.04-64-python.tar.gz: OK

Installing SAS 17.0.0: Done.

Configuring with the SAS configure_install ... 


Checking for the RELEASE file: OK
Checking we are in the top directory: OK
Checking for presence of sas-setup.sh : ./configure_install: line 112: test: too
many arguments

Error: /home/aashana/Documents/Master thesis Project/Data
reduction/xmmsas_20180620_1732 is missing sas-setup.sh - Can not proceed
I do have perl and python installed.


Reply 1

Resend
From: Jacobo Ebrero <xmmhelp@sciops.esa.int>
To: atripathi@aip.de
Subject: Re: XMM installation issue (PR#84966)
Date: Tue May 21 15:53:25 2019
Dear Aashana,

It looks like the installation script is failing to find some of the binaries
required by SAS (e.g. perl). It is not only needed that it is installed in your
computer, but also SAS needs to know where to find them.

Could you please check that you have all the auxiliary binaries properly
installed (there are some caveats in a few of them) as described here:

https://www.cosmos.esa.int/web/xmm-newton/sas-requirements

After that you may try to install again SAS from scratch following these
indications:

https://www.cosmos.esa.int/web/xmm-newton/sas-installation

Please do not hesitate in coming back to us if you need further help.

Best regards,
Jacobo

----------------------
Dr. Jacobo Ebrero
XMM-Newton SOC
Community Support and Scientific Planning Team

Up to top level
AO15   AO16   AO17   AO18   Backgrounds   Calibration   Conference   Data   Docs   EPICMOS   EPICpn   Feedback   Gallery   Misc   OM   Pending   PhD_Theses   Publications   RGS   RadMonitor   SAS_Hardware   SAS_WS   SASv16.0   SASv16.0_Installation   SASv16.1   SASv16.1_Installation   SASv17.0   SASv17.0_Installation   SASv18.0   SASv18.0_Installation   SciSim   Simulators_other   Suggestions   Trash   Visibility   XMM-bouncing   XMM-news   XRPS   XSA   esas   incoming  

Logged in as guest


Please make your (short) question the subject of your request!


Web interface using JitterBug ... back to the XMM home page